about summary refs log tree commit diff stats
path: root/samples
diff options
context:
space:
mode:
Diffstat (limited to 'samples')
-rwxr-xr-xsamples/keepviewer20
-rw-r--r--samples/mime.types26
2 files changed, 46 insertions, 0 deletions
diff --git a/samples/keepviewer b/samples/keepviewer
new file mode 100755
index 00000000..f5c0b2c1
--- /dev/null
+++ b/samples/keepviewer
@@ -0,0 +1,20 @@
+#!/bin/sh
+# This script can be invoked as a wrapper for an external viewer by lynx, e.g., 
+# given this line in lynx.cfg
+#	XLOADIMAGE_COMMAND:keepviewer xli %s &
+# it will invoke xli on a hardlink to the file (which is assumed to be in the
+# temporary directory created by lynx), and clean up when the viewer exits.
+#
+# Parameters:
+#	$1 is viewer
+#	$2 is filename
+if test $# = 2 ; then
+	chmod 600 $2
+	myfile=`echo $2 | sed -e 's@\(.*/tmp/\)\([^/]*/\)\?\(.*\)@\1my\3@'`
+	ln $2 $myfile || exit 1
+	trap "rm -f $myfile" 0 1 2 5 15
+	eval $1 $myfile
+else
+	echo "Usage: keepviewer <viewer> <filename>"
+	exit 1
+fi
diff --git a/samples/mime.types b/samples/mime.types
new file mode 100644
index 00000000..6393c307
--- /dev/null
+++ b/samples/mime.types
@@ -0,0 +1,26 @@
+# example mime.types file.
+# see the NCSA X Mosaic documentation at
+# http://www.ncsa.uiuc.edu/SDG/Software/Mosaic/Docs/extension-map.html
+# for more details
+# [Lynx uses mime.types mapping for ftp and local files only,
+# http server does specify MIME type in the Content-Type header].
+
+application/postscript         ai eps ps
+application/rtf                rtf
+application/x-tex              tex
+application/x-texinfo          texinfo texi
+application/x-troff            t tr roff
+audio/basic                    au snd
+audio/x-aiff                   aif aiff aifc
+audio/x-wav                    wav
+image/gif                      gif
+image/ief                      ief
+image/jpeg                     jpeg jpg jpe
+image/tiff                     tiff tif
+image/x-xwindowdump            xwd
+text/html                      html
+text/plain                     txt c cc h
+video/mpeg                     mpeg mpg mpe
+video/quicktime                qt mov
+video/x-msvideo                avi
+video/x-sgi-movie              movie